package com.kamco.cd.training.common.enums;

import com.kamco.cd.training.common.utils.enums.CodeExpose;
import com.kamco.cd.training.common.utils.enums.EnumType;
import lombok.AllArgsConstructor;
import lombok.Getter;

@CodeExpose
@Getter
@AllArgsConstructor
public enum TrainType implements EnumType {
  GENERAL("일반"),
  TRANSFER("전이");

  private final String desc;

  @Override
  public String getId() {
    return name();
  }

  @Override
  public String getText() {
    return desc;
  }
}
